List Planned Gifts for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/PlannedGift/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/PlannedGift/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/PlannedGift/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 850500,
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500/Gifts",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"plannedGiftDate": "2025-06-01",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "100000.00",
"anticipatedStartDate": "2035-01-01",
"numberOfOccurrences": 1,
"currentValue": "100000.00",
"fulfilled": "false",
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-06-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-06-01T10:00:00Z",
"modifiedByUser": "Development Team",
"customFields": []
},
{
"id": 850512,
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850512/Gifts",
"contactId": 100789,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100789",
"plannedGiftDate": "2025-11-15",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "50000.00",
"anticipatedStartDate": "2040-01-01",
"numberOfOccurrences": 1,
"currentValue": "50000.00",
"fulfilled": "false",
"projectId": 1004,
"project": "Capital Campaign Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1004",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-11-15T17:20:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:20:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}
],
"total": 6
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
List Planned Gifts for a Contact
Returns the planned gifts recorded for the contact, including the anticipated amount and current value of each. Use skip and take to page through the results.
GET
/
api
/
PlannedGift
/
ByContact
/
{contactId}
List Planned Gifts for a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I